## webkit2gtk 2.47.90

=== debian/changelog ===
webkit2gtk (2.47.90-1) experimental; urgency=medium

  * New upstream development release.
  * fix-bmalloc-armhf.patch:
    - Drop this patch, the armhf build works fine now without it.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Tue, 25 Feb 2025 15:56:22 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://webkitgtk.org/releases/ webkitgtk-([\d]+\.[\d]*[024678]\.[\d]+).tar.xz

## webkit2gtk 2.48.0

=== debian/changelog ===
webkit2gtk (2.48.0-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * Disable sysprof profiling integration to avoid new dependencies:
    - debian/control.in: Don't depend on libsysprof-capture-4-dev.
    - debian/rules: Build with -DUSE_SYSPROF_CAPTURE=OFF.
  * Disable JPEG XL to avoid adding new dependencies.
    - debian/control.in: Remove build dependency on libjxl-dev.
    - debian/rules: Build with -DUSE_JPEGXL=OFF.
  * debian/rules:
    - Enable ENABLE_SOUP2 and USE_OLD_PKG_NAMES to keep using the old
      package names.
  * debian/control-common.in:
    - Make the -dev packages depend on the gir packages.
  * debian/control.in:
    - Build depend on ccache.
  * Use clang-16 instead of clang.

 -- Alberto Garcia <berto@igalia.com>  Sat, 22 Mar 2025 17:51:06 +0100

webkit2gtk (2.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.47 (experimental) branch.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * Remove libwebkit2gtk-4.0-37.lintian-overrides.
  * debian/control.in:
    - Add build dependency on flite1-dev (for speech synthesis).
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
    - Remove build dependencies on all lib*-doc packages.
  * Enable clang again in the architectures where it's available and known
    to work.
  * Replace USE_OLD_*_PKG with USE_OLD_PKG_NAMES.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * fix-bmalloc-armhf.patch:
    - Drop this patch, the armhf build works fine now without it.
  * fix-ftbfs-hurd.patch:
    - Drop this patch, I forgot to do it in 2.46.1-2.
  * disable-nvidia-dmabuf.patch:
    - Update this patch for the 2.48.x branch.
  * debian/rules:
    - Stop overriding dh_builddeb, running it in parallel used to be a
      problem when we were building without -g1 and had very large debug
      packages.

 -- Alberto Garcia <berto@igalia.com>  Fri, 14 Mar 2025 23:12:01 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
X-Ubuntu-Use-Langpack: no
Build-Depends: debhelper-compat (= 13),
               ccache,
               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               clang-16 [amd64 arm64 armel armhf ppc64el riscv64 s390x],
               cmake (>= 3.20),
               flite1-dev,
               libglib2.0-dev,
               libharfbuzz-dev,
               libcairo2-dev,
               libdrm-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libicu-dev,
               libgcrypt20-dev,
               libhyphen-dev,
               liblcms2-dev,
               libmanette-0.2-dev,
               libxslt1-dev,
               libxml2-dev,
               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
               libsqlite3-dev,
               libsystemd-dev,
               libgudev-1.0-dev,
               libwoff-dev,
               gperf,
               bison,
               flex,
               ruby:native,
               unifdef,
               libavif-dev,
               libjpeg-dev,
               libopenjp2-7-dev,
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer-plugins-bad1.0-dev,
               libenchant-2-dev,
               libsecret-1-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               ninja-build,
               libegl-dev,
               libgl-dev,
               libgles-dev
Build-Depends-Indep: gi-docgen, jdupes
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: ${jscbin:Conflicts}
Breaks: ${jscbin:Replaces}
Replaces: ${jscbin:Replaces}
Description: JavaScript engine library from WebKitGTK - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: libwebkit2gtk-4.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: ${wkdoc:Conflicts}
Breaks: ${wkdoc:Replaces}
Replaces: ${wkdoc:Replaces}
Suggests: devhelp
Description: Web content engine library for GTK - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package contains the documentation.

Package: webkit2gtk-driver
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: ${wkwebdriver:Conflicts}
Breaks: ${wkwebdriver:Replaces}
Replaces: ${wkwebdriver:Replaces}
Description: WebKitGTK WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package provides the WebDriver service implementation for
 WebKitGTK.

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libgles2,
         ${bwrap:Depends},
         ${shlibs:Depends},
         ${gles:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-gl,
            libgl1-mesa-dri,
            ${bwrap:Recommends},
            ${gst:Recommends}
Suggests: ${gst:Suggests},
         gstreamer1.0-alsa
Description: Web content engine library for GTK
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the shared libraries.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Architecture: linux-any
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev,
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Web content engine library for GTK - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the development files.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Web content engine library for GTK - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libjavascriptcoregtk-4.1-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.1-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
         libglib2.0-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.1
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CCACHE_NOHASHDIR=1
export CCACHE_DIR=$(CURDIR)/ccache

# soup2 build -> 4.0 API packages
# soup3 build -> 4.1 API packages
# gtk4 build  -> 6.0 API packages
ENABLE_SOUP2=YES
ENABLE_SOUP3=YES
ENABLE_GTK4=YES
# If YES, build libwebkit2gtk-4.0-doc, libjavascriptcoregtk-4.0-bin and webkit2gtk-driver
# If NO, build libwebkitgtk-doc, libjavascriptcoregtk-bin and webkitgtk-webdriver
USE_OLD_PKG_NAMES=YES

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DUSE_LIBBACKTRACE=OFF \
	   -DUSE_JPEGXL=OFF \
	   -DUSE_SYSPROF_CAPTURE=OFF \
	   -DENABLE_MINIBROWSER=ON
EXTRA_BUILD_ARGUMENTS =
DH_GENCONTROL_ARGS =

# Skia strongly recommends using clang
# https://skia.org/docs/user/build/#supported-and-preferred-compilers
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf ppc64el riscv64 s390x))
	EXTRA_CMAKE_ARGUMENTS += \
	   -DCMAKE_C_COMPILER=clang-16 \
	   -DCMAKE_CXX_COMPILER=clang++-16
endif

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)
CXXFLAGS := $(CXXFLAGS:-g=-g1)

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949621
LDFLAGS += -Wl,--reduce-memory-overheads

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1082740
ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Don't recommend xdg portals on Ubuntu i386 where it doesn't exist
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
# Disable the bubblewrap sandbox if libseccomp-dev is not available
else ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# set the distributor agent for Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSER_AGENT_BRANDING="Ubuntu"
endif

# libavif & gst-plugins-bad1.0 are not in Ubuntu main
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_AVIF=OFF -DUSE_GSTREAMER_TRANSCODER=OFF
endif

# gstreamer1.0-libav and gstreamer1.0-plugins-bad are not in Ubuntu "main"
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
else
	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
endif

# This is loaded at runtime using libepoxy so add an explicit dependency (#1033230)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel armhf))
	DH_GENCONTROL_ARGS += -Vgles:Depends="libgles2"
endif

ifeq ($(USE_OLD_PKG_NAMES),YES)
	LIBWEBKITGTKDOC_PKG=libwebkit2gtk-4.0-doc
	LIBJSCBIN_PKG=libjavascriptcoregtk-4.0-bin
	LIBJSCBIN_DEP_PKG=libjavascriptcoregtk-4.0-18
	JSCBIN_BUILD=webkit2gtk-4.0
	WEBDRIVER_PKG=webkit2gtk-driver
	DH_GENCONTROL_ARGS += -Vwkdoc:Conflicts="libwebkitgtk-doc"
	DH_GENCONTROL_ARGS += -Vjscbin:Conflicts="libjavascriptcoregtk-bin"
	DH_GENCONTROL_ARGS += -Vwkwebdriver:Conflicts="webkitgtk-webdriver"
else
	LIBWEBKITGTKDOC_PKG=libwebkitgtk-doc
	LIBJSCBIN_PKG=libjavascriptcoregtk-bin
	LIBJSCBIN_DEP_PKG=libjavascriptcoregtk-4.1-0
	JSCBIN_BUILD=webkit2gtk-4.1
	WEBDRIVER_PKG=webkitgtk-webdriver
	DH_GENCONTROL_ARGS += -Vwkdoc:Replaces="libwebkit2gtk-4.0-doc (<< 2.43.4-2~)"
	DH_GENCONTROL_ARGS += -Vjscbin:Replaces="libjavascriptcoregtk-4.0-bin (<< 2.43.4-2~)"
	DH_GENCONTROL_ARGS += -Vwkwebdriver:Replaces="webkit2gtk-driver (<< 2.45.5~)"
endif

# Disable commands and binary packages of the builds that we don't want
ifneq ($(ENABLE_SOUP2),YES)
	SOUP2_BUILD = @:
ifeq ($(USE_OLD_PKG_NAMES),YES)
	EXTRA_DH_ARGUMENTS += -Nlibjavascriptcoregtk-4.0-bin
endif
else
	SOUP2_BUILD_DEP=libsoup2.4-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_SOUP3),YES)
	SOUP3_BUILD = @:
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_GTK4),YES)
	GTK4_BUILD = @:
	EXTRA_DH_ARGUMENTS += -N$(LIBWEBKITGTKDOC_PKG)
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK4_BUILD_DEP=libgtk-4-dev,
endif

# Decide what version of the WebKit WebDriver to build
ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_GTK4  = -DENABLE_WEBDRIVER=OFF
ifeq ($(ENABLE_SOUP3),YES)
	ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.1-0
else ifeq ($(ENABLE_SOUP2),YES)
	ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.0-37
else
	ENABLE_WEBDRIVER_GTK4 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkitgtk-6.0-4
endif

# The debhelper files for the soup2, soup3 and gtk4 builds are identical
# (apart from the API version) so we generate the last two from the first.
WEBKIT_DH_FILES = \
	gir1.2-javascriptcoregtk-4.0.install \
	gir1.2-webkit2-4.0.install \
	libjavascriptcoregtk-4.0-18.install \
	libjavascriptcoregtk-4.0-dev.install \
	libwebkit2gtk-4.0-37.docs \
	libwebkit2gtk-4.0-37.install \
	libwebkit2gtk-4.0-37.symbols \
	libwebkit2gtk-4.0-dev.install

# This converts debhelper file names and contents to the soup3 versions
WEBKIT_DH_RENAME_SOUP3 = sed -e 's/4\.0-18/4.1-0/g' \
			     -e 's/4\.0-37/4.1-0/g' \
			     -e 's/4\.0\.so\.37/4.1.so.0/g' \
			     -e 's/4\.0/4.1/g'

# This converts debhelper file names and contents to the gtk4 versions
WEBKIT_DH_RENAME_GTK4 = sed -e '/usr\/include\/webkitgtk-4.0\/webkit2/d' \
			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \
			    -e 's/webkit2webextension/webkitwebprocessextension/' \
			    -e 's/4\.0-18/6.0-1/g' \
			    -e 's/4\.0-37/6.0-4/g' \
			    -e 's/4\.0\.so\.37/6.0.so.4/g' \
			    -e 's/4\.0/6.0/g' \
			    -e 's/webkit2/webkit/g' \
			    -e 's/WebKit2/WebKit/g' \
			    -e '/gtk3-only/s/^ /\#/' \
			    -e '/gtk4-only/s/^\#/ /'

# The debhelper files for the documentation package
WEBKIT_DOC_DH_FILES = \

## webkit2gtk 2.48.1

=== Source/ThirdParty/gtest/CMakeLists.txt ===
# This is an alternative CMakeLists.txt to the experimental one
# shipped with the original package. It builds only the essential
# for our tests.

set(GTEST_DIR "${THIRDPARTY_DIR}/gtest")

set(GTEST_INCLUDE_DIRECTORIES
    "${GTEST_DIR}"
    "${GTEST_DIR}/include"
)

set(GTEST_SOURCES
    ${GTEST_DIR}/src/gtest-all.cc
    ${GTEST_DIR}/src/gtest_main.cc
)

set(gtest_DEFINITIONS GTEST_HAS_RTTI=0)

# Additional gtest configuration can be added in the port's cmake file
WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

# By default use a shared library
if (NOT DEFINED gtest_LIBRARY_TYPE)
    set(gtest_LIBRARY_TYPE SHARED)
endif ()

if (gtest_LIBRARY_TYPE MATCHES SHARED)
    list(APPEND gtest_DEFINITIONS GTEST_CREATE_SHARED_LIBRARY=1)
    add_library(gtest SHARED ${GTEST_SOURCES})
else ()
    list(APPEND gtest_DEFINITIONS GTEST_CREATE_SHARED_LIBRARY=0)
    add_library(gtest STATIC ${GTEST_SOURCES})
endif ()

target_include_directories(gtest PRIVATE ${GTEST_INCLUDE_DIRECTORIES})

WEBKIT_ADD_TARGET_CXX_FLAGS(gtest -Wno-undef
                                  -Wno-stringop-truncation
                                  -Wno-suggest-attribute=format)

if (CMAKE_USE_PTHREADS_INIT)
    target_link_libraries(gtest PRIVATE ${CMAKE_THREAD_LIBS_INIT})
    list(APPEND gtest_DEFINITIONS GTEST_HAS_PTHREAD=1)
else ()
    list(APPEND gtest_DEFINITIONS GTEST_HAS_PTHREAD=0)
endif ()
target_compile_definitions(gtest PRIVATE ${gtest_DEFINITIONS})

add_library(gtestFramework INTERFACE)
target_link_libraries(gtestFramework INTERFACE gtest)
target_include_directories(gtestFramework INTERFACE "${GTEST_DIR}/include")
target_compile_definitions(gtestFramework INTERFACE ${gtest_DEFINITIONS})

add_library(WebKit::gtest ALIAS gtestFramework)

=== Source/ThirdParty/skia/CMakeLists.txt ===
set_property(DIRECTORY . PROPERTY FOLDER "skia")

# Skia dependencies not used directly in WebKit.
if (NOT WIN32 AND NOT PLAYSTATION)
    find_package(Freetype 2.9.0 REQUIRED)
    find_package(Fontconfig 2.13.0 REQUIRED)
endif ()

if (USE_SKIA_ENCODERS)
    find_package(WebP REQUIRED COMPONENTS mux)
endif ()

if (ANDROID)
    find_package(EXPAT REQUIRED)
endif ()

#
# The target definition lists sources which always get built.
# The rest may be added later as-needed with target_sources().
#
add_library(Skia STATIC
    src/base/SkArenaAlloc.cpp
    src/base/SkBezierCurves.cpp
    src/base/SkBlockAllocator.cpp
    src/base/SkBuffer.cpp
    src/base/SkContainers.cpp
    src/base/SkCubics.cpp
    src/base/SkDebug.cpp
    src/base/SkDeque.cpp
    src/base/SkFloatingPoint.cpp
    src/base/SkHalf.cpp
    src/base/SkMalloc.cpp
    src/base/SkMathPriv.cpp
    src/base/SkQuads.cpp
    src/base/SkSafeMath.cpp
    src/base/SkSemaphore.cpp
    src/base/SkSharedMutex.cpp
    src/base/SkSpinlock.cpp
    src/base/SkTDArray.cpp
    src/base/SkTSearch.cpp
    src/base/SkThreadID.cpp
    src/base/SkTime.cpp
    src/base/SkUTF.cpp
    src/base/SkUtils.cpp

    src/codec/SkCodec.cpp
    src/codec/SkCodecImageGenerator.cpp
    src/codec/SkColorPalette.cpp
    src/codec/SkEncodedInfo.cpp
    src/codec/SkExif.cpp
    src/codec/SkGainmapInfo.cpp
    src/codec/SkImageGenerator_FromEncoded.cpp
    src/codec/SkJpegCodec.cpp
    src/codec/SkJpegDecoderMgr.cpp
    src/codec/SkJpegMetadataDecoderImpl.cpp
    src/codec/SkJpegSegmentScan.cpp
    src/codec/SkJpegSourceMgr.cpp
    src/codec/SkJpegUtility.cpp
    src/codec/SkParseEncodedOrigin.cpp
    src/codec/SkPixmapUtils.cpp
    src/codec/SkPngCodec.cpp
    src/codec/SkPngCodecBase.cpp
    src/codec/SkPngCompositeChunkReader.cpp
    src/codec/SkSampler.cpp
    src/codec/SkSwizzler.cpp
    src/codec/SkTiffUtility.cpp

    src/core/SkAAClip.cpp
    src/core/SkATrace.cpp
    src/core/SkAlphaRuns.cpp
    src/core/SkAnalyticEdge.cpp
    src/core/SkAnnotation.cpp
    src/core/SkAutoPixmapStorage.cpp
    src/core/SkBBHFactory.cpp
    src/core/SkBigPicture.cpp
    src/core/SkBitmap.cpp
    src/core/SkBitmapCache.cpp
    src/core/SkBitmapDevice.cpp
    src/core/SkBitmapProcState.cpp
    src/core/SkBitmapProcState_matrixProcs.cpp
    src/core/SkBitmapProcState_opts.cpp
    src/core/SkBitmapProcState_opts_ssse3.cpp
    src/core/SkBlendMode.cpp
    src/core/SkBlendModeBlender.cpp
    src/core/SkBlitMask_opts.cpp
    src/core/SkBlitMask_opts_ssse3.cpp
    src/core/SkBlitRow_D32.cpp
    src/core/SkBlitRow_opts.cpp
    src/core/SkBlitRow_opts_hsw.cpp
    src/core/SkBlitter.cpp
    src/core/SkBlitter_A8.cpp
    src/core/SkBlitter_ARGB32.cpp
    src/core/SkBlitter_Sprite.cpp
    src/core/SkBlurEngine.cpp
    src/core/SkBlurMask.cpp
    src/core/SkBlurMaskFilterImpl.cpp
    src/core/SkCachedData.cpp
    src/core/SkCanvas.cpp
    src/core/SkCanvasPriv.cpp
    src/core/SkCanvas_Raster.cpp
    src/core/SkCapabilities.cpp
    src/core/SkChecksum.cpp
    src/core/SkClipStack.cpp
    src/core/SkClipStackDevice.cpp
    src/core/SkColor.cpp
    src/core/SkColorFilter.cpp
    src/core/SkColorSpace.cpp
    src/core/SkColorSpaceXformSteps.cpp
    src/core/SkColorTable.cpp
    src/core/SkCompressedDataUtils.cpp
    src/core/SkContourMeasure.cpp
    src/core/SkConvertPixels.cpp
    src/core/SkCpu.cpp
    src/core/SkCubicClipper.cpp
    src/core/SkCubicMap.cpp
    src/core/SkData.cpp
    src/core/SkDataTable.cpp
    src/core/SkDescriptor.cpp
    src/core/SkDevice.cpp
    src/core/SkDistanceFieldGen.cpp
    src/core/SkDocument.cpp
    src/core/SkDraw.cpp
    src/core/SkDrawBase.cpp
    src/core/SkDrawShadowInfo.cpp
    src/core/SkDraw_atlas.cpp
    src/core/SkDraw_text.cpp
    src/core/SkDraw_vertices.cpp
    src/core/SkDrawable.cpp
    src/core/SkEdge.cpp
    src/core/SkEdgeBuilder.cpp
    src/core/SkEdgeClipper.cpp
    src/core/SkExecutor.cpp
    src/core/SkFlattenable.cpp
    src/core/SkFont.cpp
    src/core/SkFontDescriptor.cpp
    src/core/SkFontMetricsPriv.cpp
    src/core/SkFontMgr.cpp
    src/core/SkFontMgr.cpp
    src/core/SkFontStream.cpp
    src/core/SkFont_serial.cpp
    src/core/SkGaussFilter.cpp
    src/core/SkGeometry.cpp
    src/core/SkGlobalInitialization_core.cpp
    src/core/SkGlyph.cpp
    src/core/SkGlyphRunPainter.cpp
    src/core/SkGraphics.cpp
    src/core/SkIDChangeListener.cpp
    src/core/SkImageFilter.cpp
    src/core/SkImageFilterCache.cpp
    src/core/SkImageFilterTypes.cpp
    src/core/SkImageGenerator.cpp
    src/core/SkImageInfo.cpp
    src/core/SkKnownRuntimeEffects.cpp
    src/core/SkLatticeIter.cpp
    src/core/SkLineClipper.cpp
    src/core/SkLocalMatrixImageFilter.cpp
    src/core/SkM44.cpp
    src/core/SkMD5.cpp
    src/core/SkMallocPixelRef.cpp
    src/core/SkMask.cpp
    src/core/SkMaskBlurFilter.cpp
    src/core/SkMaskCache.cpp
    src/core/SkMaskFilter.cpp
    src/core/SkMaskFilterBase.cpp
    src/core/SkMaskGamma.cpp
    src/core/SkMasks.cpp
    src/core/SkMatrix.cpp
    src/core/SkMatrixInvert.cpp
    src/core/SkMemset_opts.cpp
    src/core/SkMemset_opts_avx.cpp
    src/core/SkMemset_opts_erms.cpp
    src/core/SkMesh.cpp
    src/core/SkMipmap.cpp
    src/core/SkMipmapAccessor.cpp
    src/core/SkMipmapBuilder.cpp
    src/core/SkMipmapDrawDownSampler.cpp
    src/core/SkMipmapHQDownSampler.cpp
    src/core/SkOpts.cpp
    src/core/SkOverdrawCanvas.cpp
    src/core/SkPaint.cpp
    src/core/SkPaintPriv.cpp
    src/core/SkPath.cpp
    src/core/SkPathBuilder.cpp
    src/core/SkPathEffect.cpp
    src/core/SkPathMeasure.cpp
    src/core/SkPathRef.cpp
    src/core/SkPathUtils.cpp
    src/core/SkPath_serial.cpp
    src/core/SkPicture.cpp
    src/core/SkPictureData.cpp
    src/core/SkPictureFlat.cpp
    src/core/SkPicturePlayback.cpp
    src/core/SkPictureRecord.cpp
    src/core/SkPictureRecorder.cpp
    src/core/SkPixelRef.cpp
    src/core/SkPixmap.cpp
    src/core/SkPixmapDraw.cpp
    src/core/SkPoint.cpp
    src/core/SkPoint3.cpp
    src/core/SkPtrRecorder.cpp
    src/core/SkQuadClipper.cpp
    src/core/SkRRect.cpp
    src/core/SkRSXform.cpp
    src/core/SkRTree.cpp
    src/core/SkRasterClip.cpp
    src/core/SkRasterPipeline.cpp
    src/core/SkRasterPipelineBlitter.cpp
    src/core/SkReadBuffer.cpp
    src/core/SkReadPixelsRec.cpp
    src/core/SkRecord.cpp
    src/core/SkRecordDraw.cpp
    src/core/SkRecordOpts.cpp
    src/core/SkRecordedDrawable.cpp
    src/core/SkRecorder.cpp
    src/core/SkRecords.cpp
    src/core/SkRect.cpp
    src/core/SkRegion.cpp
    src/core/SkRegion_path.cpp
    src/core/SkResourceCache.cpp
    src/core/SkRuntimeBlender.cpp
    src/core/SkRuntimeEffect.cpp
    src/core/SkSLTypeShared.cpp
    src/core/SkScalar.cpp
    src/core/SkScalerContext.cpp
    src/core/SkScan.cpp
    src/core/SkScan_AAAPath.cpp
    src/core/SkScan_AntiPath.cpp
    src/core/SkScan_Antihair.cpp
    src/core/SkScan_Hairline.cpp
    src/core/SkScan_Path.cpp
    src/core/SkSpecialImage.cpp
    src/core/SkSpriteBlitter_ARGB32.cpp
    src/core/SkStream.cpp
    src/core/SkStrike.cpp
    src/core/SkStrikeCache.cpp
    src/core/SkStrikeSpec.cpp
    src/core/SkString.cpp
    src/core/SkStringUtils.cpp
    src/core/SkStroke.cpp
    src/core/SkStrokeRec.cpp
    src/core/SkStrokerPriv.cpp
    src/core/SkSwizzle.cpp
    src/core/SkSwizzler_opts.cpp
    src/core/SkSwizzler_opts_hsw.cpp
    src/core/SkSwizzler_opts_ssse3.cpp
    src/core/SkTaskGroup.cpp
    src/core/SkTextBlob.cpp
    src/core/SkTypeface.cpp
    src/core/SkTypefaceCache.cpp
    src/core/SkTypeface_remote.cpp
    src/core/SkUnPreMultiply.cpp
    src/core/SkVertState.cpp
    src/core/SkVertices.cpp
    src/core/SkWriteBuffer.cpp
    src/core/SkWritePixelsRec.cpp
    src/core/SkWriter32.cpp
    src/core/SkYUVAInfo.cpp
    src/core/SkYUVAPixmaps.cpp
    src/core/SkYUVMath.cpp
    src/core/SkYUVPlanesCache.cpp

    src/gpu/AtlasTypes.cpp
    src/gpu/Blend.cpp
    src/gpu/BlendFormula.cpp
    src/gpu/BlurUtils.cpp
    src/gpu/DataUtils.cpp
    src/gpu/DitherUtils.cpp
    src/gpu/RectanizerPow2.cpp
    src/gpu/RectanizerSkyline.cpp
    src/gpu/ResourceKey.cpp
    src/gpu/ShaderErrorHandler.cpp
    src/gpu/SkBackingFit.cpp
    src/gpu/SkSLToBackend.cpp
    src/gpu/Swizzle.cpp
    src/gpu/TiledTextureUtils.cpp

    src/gpu/ganesh/ClipStack.cpp
    src/gpu/ganesh/Device.cpp
    src/gpu/ganesh/Device_drawTexture.cpp
    src/gpu/ganesh/GrAttachment.cpp
    src/gpu/ganesh/GrAuditTrail.cpp
    src/gpu/ganesh/GrBackendSemaphore.cpp
    src/gpu/ganesh/GrBackendSurface.cpp
    src/gpu/ganesh/GrBackendTextureImageGenerator.cpp
    src/gpu/ganesh/GrBackendUtils.cpp
    src/gpu/ganesh/GrBlurUtils.cpp
    src/gpu/ganesh/GrBufferAllocPool.cpp
    src/gpu/ganesh/GrBufferTransferRenderTask.cpp
    src/gpu/ganesh/GrBufferUpdateRenderTask.cpp
    src/gpu/ganesh/GrCaps.cpp
    src/gpu/ganesh/GrClientMappedBufferManager.cpp
    src/gpu/ganesh/GrColorInfo.cpp
    src/gpu/ganesh/GrColorSpaceXform.cpp
    src/gpu/ganesh/GrContextThreadSafeProxy.cpp
    src/gpu/ganesh/GrContext_Base.cpp
    src/gpu/ganesh/GrCopyRenderTask.cpp
    src/gpu/ganesh/GrDDLContext.cpp
    src/gpu/ganesh/GrDDLTask.cpp
    src/gpu/ganesh/GrDataUtils.cpp
    src/gpu/ganesh/GrDefaultGeoProcFactory.cpp
    src/gpu/ganesh/GrDeferredDisplayList.cpp
    src/gpu/ganesh/GrDeferredDisplayListRecorder.cpp
    src/gpu/ganesh/GrDirectContext.cpp
    src/gpu/ganesh/GrDirectContextPriv.cpp
    src/gpu/ganesh/GrDistanceFieldGenFromVector.cpp
    src/gpu/ganesh/GrDrawOpAtlas.cpp
    src/gpu/ganesh/GrDrawingManager.cpp
    src/gpu/ganesh/GrDriverBugWorkarounds.cpp
    src/gpu/ganesh/GrDynamicAtlas.cpp
    src/gpu/ganesh/GrEagerVertexAllocator.cpp
    src/gpu/ganesh/GrFixedClip.cpp
    src/gpu/ganesh/GrFragmentProcessor.cpp
    src/gpu/ganesh/GrFragmentProcessors.cpp
    src/gpu/ganesh/GrGeometryProcessor.cpp
    src/gpu/ganesh/GrGpu.cpp
    src/gpu/ganesh/GrGpuBuffer.cpp
    src/gpu/ganesh/GrGpuResource.cpp
    src/gpu/ganesh/GrImageContext.cpp
    src/gpu/ganesh/GrImageInfo.cpp
    src/gpu/ganesh/GrMemoryPool.cpp
    src/gpu/ganesh/GrMeshDrawTarget.cpp
    src/gpu/ganesh/GrOnFlushResourceProvider.cpp
    src/gpu/ganesh/GrOpFlushState.cpp
    src/gpu/ganesh/GrOpsRenderPass.cpp
    src/gpu/ganesh/GrPaint.cpp
    src/gpu/ganesh/GrPersistentCacheUtils.cpp
    src/gpu/ganesh/GrPipeline.cpp
    src/gpu/ganesh/GrProcessor.cpp
    src/gpu/ganesh/GrProcessorAnalysis.cpp
    src/gpu/ganesh/GrProcessorSet.cpp
    src/gpu/ganesh/GrProgramDesc.cpp
    src/gpu/ganesh/GrProgramInfo.cpp
    src/gpu/ganesh/GrPromiseImageTexture.cpp
    src/gpu/ganesh/GrProxyProvider.cpp
    src/gpu/ganesh/GrRecordingContext.cpp
    src/gpu/ganesh/GrRecordingContextPriv.cpp
    src/gpu/ganesh/GrRenderTarget.cpp
    src/gpu/ganesh/GrRenderTargetProxy.cpp
    src/gpu/ganesh/GrRenderTask.cpp
    src/gpu/ganesh/GrRenderTaskCluster.cpp
    src/gpu/ganesh/GrResourceAllocator.cpp
    src/gpu/ganesh/GrResourceCache.cpp
    src/gpu/ganesh/GrResourceProvider.cpp
    src/gpu/ganesh/GrRingBuffer.cpp
    src/gpu/ganesh/GrSWMaskHelper.cpp
    src/gpu/ganesh/GrShaderCaps.cpp
    src/gpu/ganesh/GrShaderVar.cpp
    src/gpu/ganesh/GrStagingBufferManager.cpp
    src/gpu/ganesh/GrStencilSettings.cpp
    src/gpu/ganesh/GrStyle.cpp
    src/gpu/ganesh/GrSurface.cpp
    src/gpu/ganesh/GrSurfaceCharacterization.cpp
    src/gpu/ganesh/GrSurfaceProxy.cpp
    src/gpu/ganesh/GrSurfaceProxyView.cpp
    src/gpu/ganesh/GrTexture.cpp
    src/gpu/ganesh/GrTextureProxy.cpp
    src/gpu/ganesh/GrTextureRenderTargetProxy.cpp
    src/gpu/ganesh/GrTextureResolveRenderTask.cpp
    src/gpu/ganesh/GrThreadSafeCache.cpp
    src/gpu/ganesh/GrTransferFromRenderTask.cpp
    src/gpu/ganesh/GrUtil.cpp
    src/gpu/ganesh/GrVertexChunkArray.cpp
    src/gpu/ganesh/GrWaitRenderTask.cpp
    src/gpu/ganesh/GrWritePixelsRenderTask.cpp
    src/gpu/ganesh/GrXferProcessor.cpp
    src/gpu/ganesh/GrYUVATextureProxies.cpp
    src/gpu/ganesh/PathRenderer.cpp
    src/gpu/ganesh/PathRenderer.cpp
    src/gpu/ganesh/PathRendererChain.cpp
    src/gpu/ganesh/SkGr.cpp

=== Tools/MiniBrowser/gtk/CMakeLists.txt ===
set(MiniBrowser_DIR "${TOOLS_DIR}/MiniBrowser/gtk")

file(MAKE_DIRECTORY ${MiniBrowser_DERIVED_SOURCES_DIR})

set(MiniBrowser_SOURCES
    ${MiniBrowser_DERIVED_SOURCES_DIR}/BrowserMarshal.c
    BrowserCellRendererVariant.c
    BrowserCellRendererVariant.h
    BrowserDownloadsBar.c
    BrowserDownloadsBar.h
    BrowserSearchBox.c
    BrowserSearchBox.h
    BrowserSettingsDialog.c
    BrowserSettingsDialog.h
    BrowserTab.c
    BrowserTab.h
    BrowserWindow.c
    BrowserWindow.h
    main.c
)

set(MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES
    ${CMAKE_BINARY_DIR}
    ${MiniBrowser_DERIVED_SOURCES_DIR}
    ${WebKitGTK_FRAMEWORK_HEADERS_DIR}
    ${CMAKE_SOURCE_DIR}/Source
)

set(MiniBrowser_SYSTEM_INCLUDE_DIRECTORIES
    ${GLIB_INCLUDE_DIRS}
    ${LIBSOUP_INCLUDE_DIRS}
)

set(MiniBrowser_PRIVATE_LIBRARIES
    ${GLIB_LIBRARIES}
    ${JavaScriptCore_LIBRARY_NAME}
    ${LIBSOUP_LIBRARIES}
    GTK::GTK
    WebKit::WebKit
)

set(MiniBrowser_DEPENDENCIES
    NetworkProcess
    WebProcess
)

if (NOT USE_GSTREAMER_FULL)
  list(APPEND MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES ${GSTREAMER_INCLUDE_DIRS})
  list(APPEND MiniBrowser_PRIVATE_LIBRARIES ${GSTREAMER_LIBRARIES})
endif ()

add_custom_command(
    OUTPUT ${MiniBrowser_DERIVED_SOURCES_DIR}/BrowserMarshal.c
           ${MiniBrowser_DERIVED_SOURCES_DIR}/BrowserMarshal.h
    MAIN_DEPENDENCY ${MiniBrowser_DIR}/browser-marshal.list
    COMMAND glib-genmarshal --prefix=browser_marshal ${MiniBrowser_DIR}/browser-marshal.list --body --skip-source > ${MiniBrowser_DERIVED_SOURCES_DIR}/BrowserMarshal.c
    COMMAND glib-genmarshal --prefix=browser_marshal ${MiniBrowser_DIR}/browser-marshal.list --header --skip-source > ${MiniBrowser_DERIVED_SOURCES_DIR}/BrowserMarshal.h
    VERBATIM)

if (USE_GTK4)
    set(MiniBrowser_PRIVATE_DEFINITIONS GDK_VERSION_MIN_REQUIRED=GDK_VERSION_4_0)
else ()
    set(MiniBrowser_PRIVATE_DEFINITIONS GDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_22)
endif ()

if (DEVELOPER_MODE)
    list(APPEND MiniBrowser_PRIVATE_DEFINITIONS -DWEBKIT_INJECTED_BUNDLE_PATH="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
endif ()

WEBKIT_EXECUTABLE_DECLARE(MiniBrowser)
WEBKIT_EXECUTABLE(MiniBrowser)
WEBKIT_ADD_TARGET_CXX_FLAGS(MiniBrowser -Wno-unused-parameter)

install(TARGETS MiniBrowser DESTINATION "${LIBEXEC_INSTALL_DIR}")

=== debian/changelog ===
webkit2gtk (2.48.1-2~deb12u1.0nosystemd1) bookworm-security; urgency=medium

  * No systemd/elogind

 -- abc-nix <abc-nix@antiX>  Fri, 11 Apr 2025 17:23:21 +0200

webkit2gtk (2.48.1-2~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * Disable sysprof profiling integration to avoid new dependencies:
    - debian/control.in: Don't depend on libsysprof-capture-4-dev.
    - debian/rules: Build with -DUSE_SYSPROF_CAPTURE=OFF.
  * Disable JPEG XL to avoid adding new dependencies.
    - debian/control.in: Remove build dependency on libjxl-dev.
    - debian/rules: Build with -DUSE_JPEGXL=OFF.
  * debian/rules:
    - Enable ENABLE_SOUP2 and USE_OLD_PKG_NAMES to keep using the old
      package names.
  * debian/control-common.in:
    - Make the -dev packages depend on the gir packages.
  * debian/control.in:
    - Build depend on ccache.
  * Use clang-16 instead of clang.

 -- Alberto Garcia <berto@igalia.com>  Thu, 10 Apr 2025 10:51:40 +0200

webkit2gtk (2.48.1-2) unstable; urgency=high

  * debian/rules:
    - Build with HAVE_DENORMAL=0 on armel (WebKit bug #290994).

 -- Alberto Garcia <berto@igalia.com>  Sat, 05 Apr 2025 13:20:18 +0200

webkit2gtk (2.48.1-1) unstable; urgency=high

  [ Alberto Garcia ]
  * New upstream release.
  * Refresh all patches.
  * Build with -mlarge-data and -mlarge-text on alpha to fix build failure
    (thanks, John Paul Adrian Glaubitz) (Closes: #1101547).
  * debian/control.in:
    - Update Standards-Version to 4.7.2 (no changes).
  * fix-typo-denormaldisabler.patch:
    - Fix build failure in i386 and others due to missing semicolon.

  [ Jeremy Bicha ]
  * Disable speech synthesis in Ubuntu builds.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Apr 2025 20:33:55 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
                libxml2-dev,
                libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev,
-               libsystemd-dev,
                libgudev-1.0-dev,
                libwoff-dev,
                gperf,
@@ -57,7 +56,7 @@
                libgl-dev,
                libgles-dev
 Build-Depends-Indep: gi-docgen, jdupes
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	   -DUSE_LIBBACKTRACE=OFF \
 	   -DUSE_JPEGXL=OFF \
 	   -DUSE_SYSPROF_CAPTURE=OFF \
+	   -DENABLE_JOURNALD_LOG=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
@@ -68,6 +69,16 @@
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1082740
 ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
+endif
+
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1101547
+ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
+	CPPFLAGS += -mlarge-data -mlarge-text
+endif
+
+# https://bugs.webkit.org/show_bug.cgi?id=290994
+ifneq (,$(filter $(DEB_HOST_ARCH),armel))
+	CPPFLAGS += -DHAVE_DENORMAL=0
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -118,6 +129,11 @@
 	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
 else
 	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
+endif
+
+# flite is not in Ubuntu main LP: #2096940
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_SPEECH_SYNTHESIS=OFF
 endif
 
 # This is loaded at runtime using libepoxy so add an explicit dependency (#1033230)
@@ -207,16 +223,3 @@
 			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
 			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
 			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
-			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \
-			    -e 's/webkit2webextension/webkitwebprocessextension/' \
-			    -e 's/4\.0-18/6.0-1/g' \
-			    -e 's/4\.0-37/6.0-4/g' \
-			    -e 's/4\.0\.so\.37/6.0.so.4/g' \
-			    -e 's/4\.0/6.0/g' \
-			    -e 's/webkit2/webkit/g' \
-			    -e 's/WebKit2/WebKit/g' \
-			    -e '/gtk3-only/s/^ /\#/' \
-			    -e '/gtk4-only/s/^\#/ /'
-
-# The debhelper files for the documentation package
-WEBKIT_DOC_DH_FILES = \

## webkit2gtk 2.48.2

=== debian/changelog ===
webkit2gtk (2.48.2-1.0nosystemd1) nosystemd; urgency=high

  * No systemd/elogind

 -- abc-nix <abc-nix@antiX>  Sat, 17 May 2025 18:08:10 +0200

webkit2gtk (2.48.2-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2025-0004 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2023-42875, CVE-2023-42970 (fixed in 2.42.0).
    - CVE-2025-24223, CVE-2025-31204, CVE-2025-31205, CVE-2025-31206,
      CVE-2025-31215, CVE-2025-31257 (fixed in 2.48.2).
  * Drop fix-typo-denormaldisabler.patch.
  * debian/rules:
    - Stop building with HAVE_DENORMAL=0 on armel, WebKit bug #290994 has
      been fixed in this release.
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 16 May 2025 09:54:16 +0200

webkit2gtk (2.48.1-3) unstable; urgency=high

  * debian/rules:
    - Build with -mbranch-protection=pac-ret on arm64 (Closes: #1104703).

 -- Alberto Garcia <berto@igalia.com>  Mon, 05 May 2025 15:58:39 +0200
